Main Page Data Structures File List Data Fields Globals Related Pages

# clib/RTOS.C File Reference

`#include <DOS.H>`
`#include "clib/rtxapi.h"`
`#include "clib/rtos.h"`

Go to the source code of this file.

## Functions
int | RTX_Create_Task (int far *taskID, TaskDefBlock far *taskdefblock)
int | RTX_Create_Task_Without_Run (int far *taskID, TaskDefBlock far *taskdefblock)
int | RTX_Delete_Task (int taskID)
int | RTX_Kill_Task (int taskID)
int | RTX_Sleep_Time (unsigned int time_ms)
int | RTX_Sleep_Request (void)
int | RTX_Wakeup (int taskID)
int | RTX_End_Execution (void)
int | RTX_Change_TaskPrio (int taskID, int prio, int far *error)
int | RTX_Get_TaskID (void)
int | RTX_Access_Filesystem (void)
int | RTX_Get_Task_State (char *taskname, Task_StateData *taskdata, int *error)
int | RTX_Get_Task_State_Ext (char *taskname, unsigned int *taskstate, int *error)
int | RTX_Get_Task_List (TaskList *tasklist, int length)
void | RTX_Start_Task_Monitor (void)
void | RTX_Stop_Task_Monitor (void)
int | RTX_Suspend_Task (int taskID)
int | RTX_Resume_Task (int taskID)
int | RTX_Restart_Task (int taskID)
int | RTX_Create_Sem (int far *semID, char far *name, int initvalue)
int | RTX_Delete_Sem (int semID)
int | RTX_Free_Sem (int semID)
int | RTX_Get_Sem (int semID)
int | RTX_Release_Sem (int semID)
int | RTX_Reserve_Sem (int semID, long far *time_ms)
int | RTX_Signal_Sem (int semID)
int | RTX_Wait_Sem (int semID, long far *time_ms)
int | RTX_Find_Sem (int *ID, char *name)
int | RTX_Get_TimeDate (TimeDate_Structure far *td)
int | RTX_Set_TimeDate (TimeDate_Structure far *td)
void | RTX_Get_System_Ticks (unsigned long far *ticks)
int | RTX_Install_Timer (TimerProc_Structure far *TProcPtr)
int | RTX_Remove_Timer (unsigned int timerID)
int | RTX_Start_Timer (unsigned int timerID)
int | RTX_Stop_Timer (unsigned int timerID)
int | RTX_Create_EventGroup (unsigned int *ID, char *name, int init_value)
int | RTX_Delete_EventGroup (unsigned int ID)
int | RTX_Signal_Events (unsigned int ID, unsigned int event_mask, unsigned event_value)
int | RTX_Wait_For_Event (unsigned int ID, RTX_Wait_Event *event_ptr)
int | RTX_Get_EventGroup_State (unsigned int ID, unsigned int *Event)
int | RTX_Get_Saved_Events (unsigned int *Event)
int | RTX_Find_EventGroup (unsigned int *ID, char *name)
int | RTX_Create_Msg (RTX_Msg *msg_ptr)
int | RTX_Delete_Msg (unsigned int ID)
int | RTX_Send_Msg (unsigned int ID, int prio, char *msg)
int | RTX_Get_Msg (unsigned int ID, char *msg)
int | RTX_Wait_For_Msg (RTX_Wait_Msg *msg_ptr)
int | RTX_Find_Msg (unsigned int *ID, char *name)
void | RTX_Disable_Task_Scheduling (void)
void | RTX_Enable_Task_Scheduling (void)

## Function Documentation

int RTX_Access_Filesystem | ( | void |  | ) |

| Definition at line 246 of file RTOS.C. References RTOSVECT, and RTX_ACCESS_FILESYSTEM.

int RTX_Change_TaskPrio | ( | int | taskID,
|  | int | prio,
|  | int far * | error
| ) |

| Definition at line 207 of file RTOS.C. References RTOSVECT, and RTX_CHANGE_PRIO.

int RTX_Create_EventGroup | ( | unsigned int * | ID,
|  | char * | name,
|  | int | init_value
| ) |

| Definition at line 697 of file RTOS.C. References RTOSVECT, and RTX_CREATE_EVENTGROUP.

int RTX_Create_Msg | ( | RTX_Msg * | msg_ptr | ) |

| Definition at line 830 of file RTOS.C. References RTOSVECT, and RTX_CREATE_MSG.

int RTX_Create_Sem | ( | int far * | semID,
|  | char far * | name,
|  | int | initvalue
| ) |

| Definition at line 413 of file RTOS.C. References RTOSVECT, and RTX_CREATE_SEM.

int RTX_Create_Task | ( | int far * | taskID,
|  | TaskDefBlock far * | taskdefblock
| ) |

| Definition at line 71 of file RTOS.C. References RTOSVECT, and RTX_TASK_CREATE.

int RTX_Create_Task_Without_Run | ( | int far * | taskID,
|  | TaskDefBlock far * | taskdefblock
| ) |

| Definition at line 90 of file RTOS.C. References RTOSVECT, and RTX_TASK_CREATE_WITHOUT_RUN.

int RTX_Delete_EventGroup | ( | unsigned int | ID | ) |

| Definition at line 719 of file RTOS.C. References RTOSVECT, and RTX_DELETE_EVENTGROUP.

int RTX_Delete_Msg | ( | unsigned int | ID | ) |

| Definition at line 845 of file RTOS.C. References RTOSVECT, and RTX_DELETE_MSG.

int RTX_Delete_Sem | ( | int | semID | ) |

| Definition at line 437 of file RTOS.C. References RTOSVECT, and RTX_DELETE_SEM.

int RTX_Delete_Task | ( | int | taskID | ) |

| Definition at line 113 of file RTOS.C. References RTOSVECT, and RTX_TASK_DELETE.

void RTX_Disable_Task_Scheduling | ( | void |  | ) |

| Definition at line 941 of file RTOS.C. References RTOSVECT, and RTX_DISABLE_TASK_SCHEDULING.

void RTX_Enable_Task_Scheduling | ( | void |  | ) |

| Definition at line 955 of file RTOS.C. References RTOSVECT, and RTX_ENABLE_TASK_SCHEDULING.

int RTX_End_Execution | ( | void |  | ) |

| Definition at line 190 of file RTOS.C. References RTOSVECT, and RTX_END_EXEC.

int RTX_Find_EventGroup | ( | unsigned int * | ID,
|  | char * | name
| ) |

| Definition at line 806 of file RTOS.C. References RTOSVECT, and RTX_FIND_EVENTGROUP.

int RTX_Find_Msg | ( | unsigned int * | ID,
|  | char * | name
| ) |

| Definition at line 916 of file RTOS.C. References RTOSVECT, and RTX_FIND_MSG.

int RTX_Find_Sem | ( | int * | ID,
|  | char * | name
| ) |

| Definition at line 554 of file RTOS.C. References RTOSVECT, and RTX_FIND_SEM.

int RTX_Free_Sem | ( | int | semID | ) |

| Definition at line 453 of file RTOS.C. References RTOSVECT, and RTX_FREE_RES.

int RTX_Get_EventGroup_State | ( | unsigned int | ID,
|  | unsigned int * | Event
| ) |

| Definition at line 770 of file RTOS.C. References RTOSVECT, and RTX_GET_EVENTGROUP_STATE.

int RTX_Get_Msg | ( | unsigned int | ID,
|  | char * | msg
| ) |

| Definition at line 882 of file RTOS.C. References RTOSVECT, and RTX_GET_MSG.

int RTX_Get_Saved_Events | ( | unsigned int * | Event | ) |

| Definition at line 787 of file RTOS.C. References RTOSVECT, and RTX_GET_EVENT_FLAGS.

int RTX_Get_Sem | ( | int | semID | ) |

| Definition at line 468 of file RTOS.C. References RTOSVECT, and RTX_GET_SEM.

void RTX_Get_System_Ticks | ( | unsigned long far * | ticks | ) |

| Definition at line 619 of file RTOS.C. References RTOSVECT, and RTX_GET_TICKS. Referenced by DecodeSAMSUNG(), and IDE_waitirq().

int RTX_Get_Task_List | ( | TaskList * | tasklist,
|  | int | length
| ) |

| Definition at line 316 of file RTOS.C. References RTOSVECT, and RTX_GET_TASK_LIST.

int RTX_Get_Task_State | ( | char * | taskname,
|  | Task_StateData * | taskdata,
|  | int * | error
| ) |

| Definition at line 263 of file RTOS.C. References RTOSVECT, and RTX_GET_TASK_STATE.

int RTX_Get_Task_State_Ext | ( | char * | taskname,
|  | unsigned int * | taskstate,
|  | int * | error
| ) |

| Definition at line 290 of file RTOS.C. References RTOSVECT, and RTX_GET_TASK_STATE_EXT.

int RTX_Get_TaskID | ( | void |  | ) |

| Definition at line 230 of file RTOS.C. References RTOSVECT, and RTX_GET_TASKID.

int RTX_Get_TimeDate | ( | TimeDate_Structure far * | td | ) |

| Definition at line 586 of file RTOS.C. References RTOSVECT, and RTX_GET_TIMEDATE.

int RTX_Install_Timer | ( | TimerProc_Structure far * | TProcPtr | ) |

| Definition at line 634 of file RTOS.C. References RTOSVECT, and RTX_INSTALL_TIMER.

int RTX_Kill_Task | ( | int | taskID | ) |

| Definition at line 129 of file RTOS.C. References RTOSVECT, and RTX_TASK_KILL.

int RTX_Release_Sem | ( | int | semID | ) |

| Definition at line 484 of file RTOS.C. References RTOSVECT, and RTX_RELEASE_SEM.

int RTX_Remove_Timer | ( | unsigned int | timerID | ) |

| Definition at line 652 of file RTOS.C. References RTOSVECT, and RTX_REMOVE_TIMER.

int RTX_Reserve_Sem | ( | int | semID,
|  | long far * | time_ms
| ) |

| Definition at line 500 of file RTOS.C. References RTOSVECT, and RTX_RESERVE_RES.

int RTX_Restart_Task | ( | int | taskID | ) |

| Definition at line 390 of file RTOS.C. References RTOSVECT, and RTX_RESTART_TASK.

int RTX_Resume_Task | ( | int | taskID | ) |

| Definition at line 375 of file RTOS.C. References RTOSVECT, and RTX_RESUME_TASK.

int RTX_Send_Msg | ( | unsigned int | ID,
|  | int | prio,
|  | char * | msg
| ) |

| Definition at line 862 of file RTOS.C. References RTOSVECT, and RTX_SEND_MSG.

int RTX_Set_TimeDate | ( | TimeDate_Structure far * | td | ) |

| Definition at line 603 of file RTOS.C. References RTOSVECT, and RTX_SET_TIMEDATE.

int RTX_Signal_Events | ( | unsigned int | ID,
|  | unsigned int | event_mask,
|  | unsigned | event_value
| ) |

| Definition at line 734 of file RTOS.C. References RTOSVECT, and RTX_SIGNAL_EVENTS.

int RTX_Signal_Sem | ( | int | semID | ) |

| Definition at line 518 of file RTOS.C. References RTOSVECT, and RTX_SIGNAL_SEM.

int RTX_Sleep_Request | ( | void |  | ) |

| Definition at line 161 of file RTOS.C. References RTOSVECT, and RTX_SLEEP_REQ.

int RTX_Sleep_Time | ( | unsigned int | time_ms | ) |

| Definition at line 145 of file RTOS.C. References RTOSVECT, and RTX_SLEEP_TIME. Referenced by BUF_Flush(), http_get(), IDE_reset(), RC_GetKey(), VS_SCITest(), and VS_SDITest().

void RTX_Start_Task_Monitor | ( | void |  | ) |

| Definition at line 335 of file RTOS.C. References RTOSVECT, and RTX_START_TASK_MONITOR.

int RTX_Start_Timer | ( | unsigned int | timerID | ) |

| Definition at line 667 of file RTOS.C. References RTOSVECT, and RTX_START_TIMER.

void RTX_Stop_Task_Monitor | ( | void |  | ) |

| Definition at line 348 of file RTOS.C. References RTOSVECT, and RTX_STOP_TASK_MONITOR.

int RTX_Stop_Timer | ( | unsigned int | timerID | ) |

| Definition at line 682 of file RTOS.C. References RTOSVECT, and RTX_STOP_TIMER.

int RTX_Suspend_Task | ( | int | taskID | ) |

| Definition at line 361 of file RTOS.C. References RTOSVECT, and RTX_SUSPEND_TASK.

int RTX_Wait_For_Event | ( | unsigned int | ID,
|  | RTX_Wait_Event * | event_ptr
| ) |

| Definition at line 752 of file RTOS.C. References RTOSVECT, and RTX_WAIT_EVENTS.

int RTX_Wait_For_Msg | ( | RTX_Wait_Msg * | msg_ptr | ) |

| Definition at line 900 of file RTOS.C. References RTOSVECT, and RTX_WAIT_MSG.

int RTX_Wait_Sem | ( | int | semID,
|  | long far * | time_ms
| ) |

| Definition at line 535 of file RTOS.C. References RTOSVECT, and RTX_WAIT_SEM.

int RTX_Wakeup | ( | int | taskID | ) |

| Definition at line 175 of file RTOS.C. References RTOSVECT, and RTX_WAKEUP_TASK.